﻿(function () {
    'use strict';

    // Factory name is handy for logging
    var serviceId = 'booksdataservice';

    angular.module('app').factory(serviceId, ['$http', booksdataservice]);

    function booksdataservice($http) {
        // Define the functions and properties to reveal.
        var service = {
            getBooks: getBooks,
            getBooksCheating: getBooksCheating
        };

        return service;

        function getBooks() {
            // we are just stubbing this ... hit it if you have a web server somewhere
            // enable CORS!
            return $http({
                method: 'GET',
                url: 'http://jessefoo.com/books'
            }).success(function(data, status, headers, config) {
                return data;
            }).error(function(data, status, headers, config) {
                // do nothing for now
            });
        }

        function getBooksCheating() {
            return [
                { title: 'War and Peace', author: 'Tolstoy', price: 19.95 },
                { title: 'Book 2', author: 'Liberty', price: 15.95 },
                { title: 'Book 3', author: 'Fred', price: 1.95 }
            ];

        }
    }
})();