﻿(function () {
    'use strict';

    // Module name is handy for logging
    var id = 'app';

    // Create the module and define its dependencies.
    var app = angular.module('app', [
        // Angular modules 
        //'ngAnimate',        // animations
        'ngRoute'           // routing

        // Custom modules 

        // 3rd Party Modules
        
    ]);

    // config always runs before the services are ready. 
    // basically the first thing our module does.
    app.config(['$routeProvider', function($routeProvider) {
            $routeProvider
                .when('/', { templateUrl: 'app/books/books.html' })
                .when('/admin', { templateUrl: 'app/admin/admin.html' })
                .otherwise({ redirectTo: '/' }); // go to the books route
        }
    ]);


    //// Execute bootstrapping code and any dependencies.
    //app.run(['$q', '$rootScope',
    //    function ($q, $rootScope) {

    //    }]);
})();