﻿(function () {
    'use strict';

    var controllerId = 'books';

    // get the app module
    angular.module('app')
        // define the controller named books
        .controller(controllerId,
            // this array is a list of dependencies with the last argument being the function that defines the controller
            ['booksdataservice', books]);

    function books(bookds) {
        var vm = this;

        vm.activate = activate;
        vm.books = [];
        vm.myFilter = '';

        activate();

        function activate() {
            vm.books = bookds.getBooksCheating();
        }
    }
})();
